## x2goserver 4.1.0.6

=== Makefile ===
#!/usr/bin/make -f

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR ?= /etc/x2go
LIBDIR ?= $(PREFIX)/lib/x2go
SHAREDIR ?= $(PREFIX)/share/x2go

PERL ?= /usr/bin/perl
PERL_INSTALLDIRS ?= vendor

all: build

build: build-arch build-indep

# make man2html build available from project's base folder...
build_man2html:
	$(MAKE) -C x2goserver-common $@
	$(MAKE) -C x2goserver $@
	$(MAKE) -C libx2go-server-db-perl $@
	$(MAKE) -C x2goserver-x2goagent $@
	$(MAKE) -C x2goserver-x2gokdrive $@
	$(MAKE) -C x2goserver-printing $@
	$(MAKE) -C x2goserver-extensions $@
	$(MAKE) -C x2goserver-xsession $@
	$(MAKE) -C x2goserver-fmbindings $@
	$(MAKE) -C x2goserver-desktopsharing $@

clean:
	-$(MAKE) -f Makefile.perl clean
	$(MAKE) -C x2goserver-common $@
	$(MAKE) -C x2goserver $@
	$(MAKE) -C libx2go-server-db-perl $@
	$(MAKE) -C x2goserver-x2goagent $@
	$(MAKE) -C x2goserver-x2gokdrive $@
	$(MAKE) -C x2goserver-printing $@
	$(MAKE) -C x2goserver-extensions $@
	$(MAKE) -C x2goserver-xsession $@
	$(MAKE) -C x2goserver-fmbindings $@
	$(MAKE) -C x2goserver-desktopsharing $@

distclean:
	-$(MAKE) -f Makefile.perl realclean
	$(MAKE) -C x2goserver-common clean
	$(MAKE) -C x2goserver clean
	$(MAKE) -C libx2go-server-db-perl clean
	$(MAKE) -C x2goserver-x2goagent clean
	$(MAKE) -C x2goserver-x2gokdrive $@
	$(MAKE) -C x2goserver-printing clean
	$(MAKE) -C x2goserver-extensions clean
	$(MAKE) -C x2goserver-xsession clean
	$(MAKE) -C x2goserver-fmbindings clean
	$(MAKE) -C x2goserver-desktopsharing $@

build-arch:
	$(MAKE) -C x2goserver-common $@
	$(MAKE) -C x2goserver $@
	$(MAKE) -C libx2go-server-db-perl $@
	$(MAKE) -C x2goserver-x2goagent $@
	$(MAKE) -C x2goserver-x2gokdrive $@
	$(MAKE) -C x2goserver-printing $@
	$(MAKE) -C x2goserver-extensions $@
	$(MAKE) -C x2goserver-xsession $@
	$(MAKE) -C x2goserver-fmbindings $@
	$(MAKE) -C x2goserver-desktopsharing $@

build-indep:
	$(PERL) Makefile.PL INSTALLDIRS=$(PERL_INSTALLDIRS)
	$(MAKE) -f Makefile.perl
	$(MAKE) -C x2goserver-common $@
	$(MAKE) -C x2goserver $@
	$(MAKE) -C libx2go-server-db-perl $@
	$(MAKE) -C x2goserver-x2goagent $@
	$(MAKE) -C x2goserver-x2gokdrive $@
	$(MAKE) -C x2goserver-printing $@
	$(MAKE) -C x2goserver-extensions $@
	$(MAKE) -C x2goserver-xsession $@
	$(MAKE) -C x2goserver-fmbindings $@
	$(MAKE) -C x2goserver-desktopsharing $@

install:
	$(MAKE) -f Makefile.perl pure_install
	$(MAKE) -C x2goserver-common $@
	$(MAKE) -C x2goserver $@
	$(MAKE) -C libx2go-server-db-perl $@
	$(MAKE) -C x2goserver-x2goagent $@
	$(MAKE) -C x2goserver-x2gokdrive $@
	$(MAKE) -C x2goserver-printing $@
	$(MAKE) -C x2goserver-extensions $@
	$(MAKE) -C x2goserver-xsession $@
	$(MAKE) -C x2goserver-fmbindings $@
	$(MAKE) -C x2goserver-desktopsharing $@

uninstall:
	$(MAKE) -C x2goserver-printing $@
	$(MAKE) -C x2goserver-x2goagent $@
	$(MAKE) -C x2goserver-x2gokdrive $@
	$(MAKE) -C x2goserver-xsession $@
	$(MAKE) -C x2goserver-desktopsharing $@
	$(MAKE) -C x2goserver-fmbindings $@
	$(MAKE) -C x2goserver-extensions $@
	$(MAKE) -f Makefile.perl uninstall
	$(MAKE) -C libx2go-server-db-perl $@
	$(MAKE) -C x2goserver $@
	$(MAKE) -C x2goserver-common $@
	if test -d $(DESTDIR)$(LIBDIR); then $(RM_DIR) $(DESTDIR)$(LIBDIR); fi
	if test -d $(DESTDIR)$(SHAREDIR)/x2gofeature.d; then $(RM_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d; fi
	if test -d $(DESTDIR)$(SHAREDIR); then $(RM_DIR) $(DESTDIR)$(SHAREDIR); fi
	if test -d $(DESTDIR)$(ETCDIR); then $(RM_DIR) $(DESTDIR)$(ETCDIR); fi

=== libx2go-server-db-perl/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

CC      ?= gcc
override CFLAGS  += -fPIE
override LDFLAGS += -pie

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR ?= /etc/x2go
BINDIR ?= $(PREFIX)/bin
SBINDIR ?= $(PREFIX)/sbin
LIBDIR ?= $(PREFIX)/lib/x2go
MANDIR ?= $(PREFIX)/share/man
SHAREDIR ?= $(PREFIX)/share/x2go

#BIN_SCRIPTS=$(shell cd bin && echo *)
#SBIN_SCRIPTS=$(shell cd sbin && echo *)
LIB_FILES=libx2go-server-db-sqlite3-wrapper libx2go-server-db-sqlite3-wrapper.pl
#FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features)

#man_pages = `cd man && find * -type f`

#MAN2HTML_BIN  = man2html
#MAN2HTML_SRC  = man
#MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-arch build-indep

build-arch: lib/libx2go-server-db-sqlite3-wrapper

lib/libx2go-server-db-sqlite3-wrapper: src/libx2go-server-db-sqlite3-wrapper.c
	$(CC) $(CFLAGS) $(LDFLAGS) -DTRUSTED_BINARY=\"$(LIBDIR)/libx2go-server-db-sqlite3-wrapper.pl\" -o $@ $^

build-indep:

clean: clean-arch clean-indep

clean-arch:
	rm -f lib/libx2go-server-db-sqlite3-wrapper

clean-indep:

install: install_scripts

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)
	$(INSTALL_PROGRAM) lib/*                   $(DESTDIR)$(LIBDIR)/
	getent group x2gouser &>/dev/null && chown root:x2gouser $(DESTDIR)$(LIBDIR)/libx2go-server-db-sqlite3-wrapper || true
	chmod 2755 $(DESTDIR)$(LIBDIR)/libx2go-server-db-sqlite3-wrapper

uninstall: uninstall_scripts

uninstall_scripts:
	for file in $(LIB_FILES); do $(RM_FILE) $(DESTDIR)$(LIBDIR)/$$file; done

=== x2goserver-common/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR ?= /etc/x2go
BINDIR ?= $(PREFIX)/bin
SBINDIR ?= $(PREFIX)/sbin
LIBDIR ?= $(PREFIX)/lib/x2go
MANDIR ?= $(PREFIX)/share/man
SHAREDIR ?= $(PREFIX)/share/x2go

BIN_SCRIPTS=$(shell cd bin && echo *)
SBIN_SCRIPTS=$(shell cd sbin && echo *)
LIB_FILES=$(shell cd lib && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features)

man_pages = `cd man && find * -type f`

MAN2HTML_BIN  = $(shell which man2html)
MAN2HTML_SRC  = man
MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-arch build-indep

build-arch:

build-indep: build_man2html

build_man2html:
	if [ -n "$(MAN2HTML_BIN)" ]; then \
	    mkdir -p $(MAN2HTML_DEST); \
	    for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done; \
	    for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done; \
	fi

clean: clean-arch clean-indep

clean-arch:

clean-indep: clean_man2html

clean_man2html:
	rm -Rf `dirname $(MAN2HTML_DEST)`

install: install_scripts install_config install_man install_version

install_scripts:

install_config:
	$(INSTALL_DIR)  $(DESTDIR)$(ETCDIR)
	$(INSTALL_FILE) etc/x2goserver.conf            $(DESTDIR)$(ETCDIR)/
	$(INSTALL_DIR)  $(DESTDIR)$(ETCDIR)/x2gosql
	$(INSTALL_DIR)  $(DESTDIR)$(ETCDIR)/x2gosql/passwords
	$(INSTALL_FILE) etc/x2gosql/sql                $(DESTDIR)$(ETCDIR)/x2gosql
	$(INSTALL_DIR)  $(DESTDIR)/${PREFIX}/lib/tmpfiles.d || true
	$(INSTALL_FILE) lib/tmpfiles.d/x2goserver.conf $(DESTDIR)/${PREFIX}/lib/tmpfiles.d/

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man5
	$(INSTALL_FILE) man/man5/*.5           $(DESTDIR)$(MANDIR)/man5
	gzip -f $(DESTDIR)$(MANDIR)/man5/x2go*.5

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver-common     $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-common

uninstall: uninstall_scripts uninstall_config uninstall_man uninstall_version

uninstall_scripts:

uninstall_config:
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/x2goserver.conf
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/x2gosql/sql
	$(RM_DIR)  $(DESTDIR)$(ETCDIR)/x2gosql/passwords || true
	$(RM_DIR)  $(DESTDIR)$(ETCDIR)/x2gosql || true
	$(RM_DIR)  $(DESTDIR)$(ETCDIR) || true
	$(RM_FILE) $(DESTDIR)/${PREFIX}/lib/tmpfiles.d/x2goserver.conf
	$(RM_DIR)  $(DESTDIR)/${PREFIX}/lib/tmpfiles.d || true

uninstall_man:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man5/$$file.5.gz; done
	for file in $(SBIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man5/$$file.5.gz; done
	$(RM_DIR)  $(DESTDIR)$(MANDIR) || true

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-common
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== x2goserver-desktopsharing/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR ?= /etc/x2go
BINDIR ?= $(PREFIX)/bin
LIBDIR ?= $(PREFIX)/lib/x2go
MANDIR ?= $(PREFIX)/share/man
SHAREDIR ?= $(PREFIX)/share/x2go

BIN_SCRIPTS=$(shell cd bin && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2go/x2gofeature.d && echo *.features)

man_pages = `cd man && find * -type f`

MAN2HTML_BIN  = $(shell which man2html)
MAN2HTML_SRC  = man
MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-arch build-indep

build-arch:

build-indep: build_man2html

build_man2html:
	if [ -n "$(MAN2HTML_BIN)" ]; then \
	    mkdir -p $(MAN2HTML_DEST); \
	    for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done; \
	    for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done; \
	fi

clean: clean_man2html

clean_man2html:
	rm -rf `dirname $(MAN2HTML_DEST)`

install: install_scripts install_config install_man install_version

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
	$(INSTALL_PROGRAM) bin/x2go* $(DESTDIR)$(BINDIR)/
	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/desktopsharing
	$(INSTALL_FILE) etc/desktopsharing/settings $(DESTDIR)$(ETCDIR)/desktopsharing/
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d
	$(INSTALL_PROGRAM) share/x2gofeature.d/*.features $(DESTDIR)$(SHAREDIR)/x2gofeature.d/

install_config:

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL_FILE) man/man8/*.8           $(DESTDIR)$(MANDIR)/man8
	gzip -f $(DESTDIR)$(MANDIR)/man8/x2go*.8

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver-desktopsharing     $(DESTDIR)$(SHAREDIR)/versions/

uninstall: uninstall_scripts uninstall_config uninstall_man uninstall_version

uninstall_scripts:
	for file in $(FEATURE_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/$$file; done

uninstall_config:

uninstall_config:
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/desktopsharing/settings
	$(RM_DIR)  $(DESTDIR)$(ETCDIR)/desktopsharing || true
	$(RM_DIR)  $(DESTDIR)$(ETCDIR) || true

uninstall_man:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	for file in $(SBIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	$(RM_DIR)  $(DESTDIR)$(MANDIR) || true

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-desktopsharing
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== x2goserver-extensions/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR ?= /etc/x2go
BINDIR ?= $(PREFIX)/bin
LIBDIR ?= $(PREFIX)/lib/x2go
MANDIR ?= $(PREFIX)/share/man
SHAREDIR ?= $(PREFIX)/share/x2go

BIN_SCRIPTS=$(shell cd bin && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features .placeholder)

man_pages = `cd man && find * -type f`

MAN2HTML_BIN  = $(shell which man2html)
MAN2HTML_SRC  = man
MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-arch build-indep

build-arch:

build-indep: build_man2html

build_man2html:
	if [ -n "$(MAN2HTML_BIN)" ]; then \
	mkdir -p $(MAN2HTML_DEST); \
	    for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done; \
	    for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done; \
	fi

clean: clean_man2html

clean_man2html:
	rm -rf `dirname $(MAN2HTML_DEST)`

install: install_scripts install_config install_man install_version

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-start.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-start.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-start.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-resume.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-resume.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-resume.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-suspend.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-suspend.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-suspend.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-terminate.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-terminate.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-terminate.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-runcommand.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-runcommand.d
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-runcommand.d
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d
	$(INSTALL_PROGRAM) bin/*                $(DESTDIR)$(BINDIR)/
	$(INSTALL_FILE) lib/extensions/pre-start.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/pre-start.d/
	$(INSTALL_FILE) lib/extensions/post-start.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/post-start.d/
	$(INSTALL_FILE) lib/extensions/fail-start.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/fail-start.d/
	$(INSTALL_FILE) lib/extensions/pre-resume.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/pre-resume.d/
	$(INSTALL_FILE) lib/extensions/post-resume.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/post-resume.d/
	$(INSTALL_FILE) lib/extensions/fail-resume.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/fail-resume.d/
	$(INSTALL_FILE) lib/extensions/pre-suspend.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/pre-suspend.d/
	$(INSTALL_FILE) lib/extensions/post-suspend.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/post-suspend.d/
	$(INSTALL_FILE) lib/extensions/fail-suspend.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/fail-suspend.d/
	$(INSTALL_FILE) lib/extensions/pre-terminate.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/pre-terminate.d/
	$(INSTALL_FILE) lib/extensions/post-terminate.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/post-terminate.d/
	$(INSTALL_FILE) lib/extensions/fail-terminate.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/fail-terminate.d/
	$(INSTALL_FILE) lib/extensions/pre-runcommand.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/pre-runcommand.d/
	$(INSTALL_FILE) lib/extensions/post-runcommand.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/post-runcommand.d/
	$(INSTALL_FILE) lib/extensions/fail-runcommand.d/.placeholder $(DESTDIR)$(LIBDIR)/extensions/fail-runcommand.d/
	$(INSTALL_PROGRAM) share/x2gofeature.d/*.features $(DESTDIR)$(SHAREDIR)/x2gofeature.d/

install_config:

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL_FILE) man/man8/*.8           $(DESTDIR)$(MANDIR)/man8
	gzip -f $(DESTDIR)$(MANDIR)/man8/x2go*.8

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver-extensions     $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-extensions

uninstall: uninstall_scripts uninstall_config uninstall_man uninstall_version

uninstall_scripts:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(BINDIR)/$$file; done
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/ || true
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/pre-start.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/post-start.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/fail-start.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/pre-resume.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/post-resume.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/fail-resume.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/pre-suspend.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/post-suspend.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/fail-suspend.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/pre-terminate.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/post-terminate.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/fail-terminate.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/pre-runcommand.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/post-runcommand.d/.placeholder
	$(RM_FILE) $(DESTDIR)$(LIBDIR)/extensions/fail-runcommand.d/.placeholder
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-start.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-start.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-start.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-resume.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-resume.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-resume.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-suspend.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-suspend.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-suspend.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-terminate.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-terminate.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-terminate.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/pre-runcommand.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/post-runcommand.d/
	$(RM_DIR) $(DESTDIR)$(LIBDIR)/extensions/fail-runcommand.d/
	for file in $(FEATURE_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/$$file; done

uninstall_config:

uninstall_man:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	for file in $(SBIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	$(RM_DIR)  $(DESTDIR)$(MANDIR) || true

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-extensions
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== x2goserver-fmbindings/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR ?= /etc/x2go
BINDIR ?= $(PREFIX)/bin
LIBDIR ?= $(PREFIX)/lib/x2go
MANDIR ?= $(PREFIX)/share/man
SHAREDIR ?= $(PREFIX)/share/x2go

BIN_SCRIPTS=$(shell cd bin && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2go/x2gofeature.d && echo *.features)

man_pages = `cd man && find * -type f`

MAN2HTML_BIN  = $(shell which man2html)
MAN2HTML_SRC  = man
MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-arch build-indep

build-arch:

build-indep: build_man2html

build_man2html:
	if [ -n "$(MAN2HTML_BIN)" ]; then \
	    mkdir -p $(MAN2HTML_DEST); \
	    for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done; \
	    for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done; \
	fi

clean: clean_man2html

clean_man2html:
	rm -rf `dirname $(MAN2HTML_DEST)`

install: install_scripts install_config install_man install_version

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
	$(INSTALL_PROGRAM) bin/x2gofm $(DESTDIR)$(BINDIR)/
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d
	$(INSTALL_PROGRAM) share/x2go/x2gofeature.d/*.features $(DESTDIR)$(SHAREDIR)/x2gofeature.d/
	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/applications
	$(INSTALL_PROGRAM) share/applications/x2gofm.desktop $(DESTDIR)$(PREFIX)/share/applications/
	$(INSTALL_DIR) $(DESTDIR)$(PREFIX)/share/mime/packages
	$(INSTALL_FILE) share/mime/packages/sshfs-x2go.xml $(DESTDIR)$(PREFIX)/share/mime/packages/

install_config:

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL_FILE) man/man8/*.8           $(DESTDIR)$(MANDIR)/man8
	gzip -f $(DESTDIR)$(MANDIR)/man8/x2go*.8

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver-fmbindings     $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-fmbindings

uninstall: uninstall_scripts uninstall_config uninstall_man uninstall_version

uninstall_scripts:
	for file in $(FEATURE_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/$$file; done

uninstall_config:

uninstall_man:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	for file in $(SBIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	$(RM_DIR)  $(DESTDIR)$(MANDIR) || true

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-fmbindings
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== x2goserver-printing/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR ?= /etc/x2go
BINDIR ?= $(PREFIX)/bin
SBINDIR ?= $(PREFIX)/sbin
LIBDIR ?= $(PREFIX)/lib/x2go
MANDIR ?= $(PREFIX)/share/man
SHAREDIR ?= $(PREFIX)/share/x2go

BIN_SCRIPTS=$(shell cd bin && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features)

man_pages = `cd man && find * -type f`

MAN2HTML_BIN  = $(shell which man2html)
MAN2HTML_SRC  = man
MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-arch build-indep

build-arch:

build-indep: build_man2html

build_man2html:
	if [ -n "$(MAN2HTML_BIN)" ]; then \
	    mkdir -p $(MAN2HTML_DEST); \
	    for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done; \
	    for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done; \
	fi

clean: clean_man2html

clean_man2html:
	rm -rf `dirname $(MAN2HTML_DEST)`

install: install_scripts install_config install_man install_version

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
	$(INSTALL_PROGRAM) bin/*                $(DESTDIR)$(BINDIR)/
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/
	$(INSTALL_PROGRAM) share/x2gofeature.d/*.features $(DESTDIR)$(SHAREDIR)/x2gofeature.d/

install_config:

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL_FILE) man/man8/*.8           $(DESTDIR)$(MANDIR)/man8
	gzip -f $(DESTDIR)$(MANDIR)/man8/x2go*.8

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver-printing     $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-printing

uninstall: uninstall_scripts uninstall_config uninstall_man uninstall_version

uninstall_scripts:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(BINDIR)/$$file; done
	for file in $(FEATURE_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/$$file; done

uninstall_config:

uninstall_man:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	for file in $(SBIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	$(RM_DIR)  $(DESTDIR)$(MANDIR) || true

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-printing
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== x2goserver-x2goagent/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755
INSTALL_SYMLINK=ln -s -f

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR ?= /etc/x2go
BINDIR ?= $(PREFIX)/bin
LIBDIR ?= $(PREFIX)/lib/x2go
NXLIBDIR ?= $(LIBDIR)/../nx
MANDIR ?= $(PREFIX)/share/man
SHAREDIR ?= $(PREFIX)/share/x2go

BIN_SCRIPTS=x2goagent $(shell cd bin && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2go/x2gofeature.d && echo *.features)

man_pages = `cd man && find * -type f`

MAN2HTML_BIN  = $(shell which man2html)
MAN2HTML_SRC  = man
MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-arch build-indep

build-arch:

build-indep: build_man2html

build_man2html:
	if [ -n "$(MAN2HTML_BIN)" ]; then \
	    mkdir -p $(MAN2HTML_DEST); \
	    for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done; \
	    for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done; \
	fi

clean: clean_man2html

clean_man2html:
	rm -rf `dirname $(MAN2HTML_DEST)`

install: install_scripts install_config install_data install_man install_version

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(BINDIR)
	$(INSTALL_SYMLINK) ../../$(NXLIBDIR)/bin/x2goagent $(DESTDIR)$(BINDIR)/x2goagent
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d
	$(INSTALL_PROGRAM) share/x2go/x2gofeature.d/*.features $(DESTDIR)$(SHAREDIR)/x2gofeature.d/
	$(INSTALL_DIR) $(DESTDIR)$(NXLIBDIR)/bin/
	$(INSTALL_SYMLINK) nxagent $(DESTDIR)$(NXLIBDIR)/bin/x2goagent

install_data:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/../pixmaps/
	$(INSTALL_FILE) share/pixmaps/x2goagent.xpm $(DESTDIR)$(SHAREDIR)/../pixmaps/

install_config:
	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/
	$(INSTALL_FILE) etc/x2goagent.options $(DESTDIR)$(ETCDIR)/
	$(INSTALL_FILE) etc/keystrokes.cfg $(DESTDIR)$(ETCDIR)/

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man1
	$(INSTALL_FILE) man/man1/*.1           $(DESTDIR)$(MANDIR)/man1
	gzip -f $(DESTDIR)$(MANDIR)/man1/x2go*.1

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_SYMLINK) ../../nx/VERSION.nxagent $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-x2goagent

uninstall: uninstall_scripts uninstall_config uninstall_data uninstall_man uninstall_version

uninstall_scripts:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(BINDIR)/$$file; done
	for file in x2goagent; do $(RM_FILE) $(DESTDIR)$(NXLIBDIR)/$$file; done
	for file in $(FEATURE_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/$$file; done

uninstall_data:
	cd share && for file in pixmaps/x2go.xpm; do \
	    $(RM_FILE) $(DESTDIR)$(SHAREDIR)/../$$file; \
	    $(RM_DIR) $(shell dirname $(DESTDIR)$(SHAREDIR)/../$$file); \
	done

uninstall_config:
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/x2goagent.options
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/x2goagent.keyboard
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/keystrokes.cfg
	$(RM_DIR)  $(DESTDIR)$(ETCDIR) || true

uninstall_man:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man1/$$file.1.gz; done
	$(RM_DIR)  $(DESTDIR)$(MANDIR) || true

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-x2goagent
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== x2goserver-x2gokdrive/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755
INSTALL_SYMLINK=ln -s -f

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR=/etc/x2go
BINDIR=$(PREFIX)/bin
LIBDIR=$(PREFIX)/lib/x2go
NXLIBDIR ?= $(LIBDIR)/../nx
MANDIR=$(PREFIX)/share/man
SHAREDIR=$(PREFIX)/share/x2go

FEATURE_SCRIPTS=$(shell cd share/x2go/x2gofeature.d && echo *.features)

man_pages = `cd man && find * -type f`

MAN2HTML_BIN  = $(shell which man2html)
MAN2HTML_SRC  = man
MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-arch build-indep

build-arch:

build-indep: build_man2html

build_man2html:

clean: clean_man2html

clean_man2html:

install: install_scripts install_config install_data install_man install_version

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d
	$(INSTALL_PROGRAM) share/x2go/x2gofeature.d/*.features $(DESTDIR)$(SHAREDIR)/x2gofeature.d/

install_data:

install_config:
	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/
	$(INSTALL_FILE) etc/x2gokdrive.options $(DESTDIR)$(ETCDIR)/

install_man:

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver-x2gokdrive $(DESTDIR)$(SHAREDIR)/versions/

uninstall: uninstall_scripts uninstall_config uninstall_data uninstall_man uninstall_version

uninstall_scripts:
	for file in $(FEATURE_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/$$file; done

uninstall_data:

uninstall_config:
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/x2gokdrive.options
	$(RM_DIR)  $(DESTDIR)$(ETCDIR) || true

uninstall_man:

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-x2gokdrive
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== x2goserver-xsession/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_SYMLINK=ln -s -f
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR ?= /etc/x2go
BINDIR ?= $(PREFIX)/bin
SBINDIR ?= $(PREFIX)/sbin
LIBDIR ?= $(PREFIX)/lib/x2go
MANDIR ?= $(PREFIX)/share/man
SHAREDIR ?= $(PREFIX)/share/x2go

XSESSIONDIR ?= /etc/X11/Xsession.d
XSESSIONOPTIONSDIR ?= /etc/X11/Xsession.options.d
XSESSIONOPTIONFILE ?= /etc/X11/Xsession.options
XINITRCDIR ?= /etc/X11/xinit/xinitrc.d
XCLIENTSDIR ?= /etc/X11/xinit/Xclients.d

ETC_FILES=$(shell cd etc && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features)

all: clean build

build: build-arch build-indep

build-arch:

build-indep: build_man2html

build_man2html:

clean: clean_man2html

clean_man2html:

install: install_scripts install_config install_man install_version

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d
	$(INSTALL_PROGRAM) share/x2gofeature.d/*.features $(DESTDIR)$(SHAREDIR)/x2gofeature.d/

install_config:
	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)
#       provide target dirs for X11 related symlinks
	$(INSTALL_PROGRAM) etc/Xsession                 $(DESTDIR)$(ETCDIR)/
	# *SuSE moved this to /usr/etc for later releases (currently Tumbleweed).
	# Prefer this location.
	# Debian-based systems do not have a global /etc/X11/Xresources file
	# at all by default, so make sure to create a dangling symlink if
	# needed.
	for xres_prefix in '/usr' '/'; do \
		if [ -f "$${xres_prefix}/etc/X11/Xresources" ]; then \
			$(INSTALL_SYMLINK) "$${xres_prefix}/etc/X11/Xresources"          $(DESTDIR)$(ETCDIR)/ ; \
			break; \
		fi; \
	done; \
	if [ ! -e "$(DESTDIR)$(ETCDIR)/Xresources" ]; then \
		$(INSTALL_SYMLINK) '/etc/X11/Xresources'          $(DESTDIR)$(ETCDIR)/ ; \
	fi
	if [ -e /etc/debian_version ] || [ -e /etc/devuan_version ]; then if [ -e $(XSESSIONOPTIONFILE) ]; then $(INSTALL_SYMLINK) $(XSESSIONOPTIONFILE) $(DESTDIR)$(ETCDIR)/Xsession.options; else touch $(DESTDIR)$(ETCDIR)/Xsession.options; fi; fi
	if [ -e /etc/debian_version ] || [ -e /etc/devuan_version ]; then if [ -d $(XSESSIONDIR) ]; then $(RM_FILE) $(DESTDIR)$(ETCDIR)/Xsession.d; $(INSTALL_SYMLINK) $(XSESSIONDIR) $(DESTDIR)$(ETCDIR)/Xsession.d; else $(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/Xsession.d; fi; fi
	if [ -e /etc/debian_version ] || [ -e /etc/devuan_version ]; then if [ -d $(XSESSIONOPTIONSDIR) ]; then $(RM_FILE) $(DESTDIR)$(ETCDIR)/Xsession.options.d; $(INSTALL_SYMLINK) $(XSESSIONOPTIONSDIR) $(DESTDIR)$(ETCDIR)/Xsession.options.d; else $(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/Xsession.options.d; fi; fi
	if [ -e /etc/redhat-release ] || [ -e /etc/gentoo-release ] || [ -e /etc/rt-os-release ] || [ -e /etc/slackware-version ]; then if [ -d $(XINITRCDIR) ]; then $(INSTALL_SYMLINK) $(XINITRCDIR) $(DESTDIR)$(ETCDIR)/xinitrc.d; else $(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/xinitrc.d; fi; fi
	if [ -e /etc/redhat-release ] || [ -e /etc/gentoo-release ] || [ -e /etc/rt-os-release ] || [ -e /etc/slackware-version ]; then if [ -d $(XCLIENTSDIR) ]; then $(INSTALL_SYMLINK) $(XCLIENTSDIR) $(DESTDIR)$(ETCDIR)/Xclients.d; else $(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/Xclients.d; fi; fi
	if [ -e /etc/os-release ] && grep "suse" 1>/dev/null < /etc/os-release || [ -d /usr/share/doc/packages/brp-check-suse ]; then if [ -d $(XINITRCDIR) ]; then $(INSTALL_SYMLINK) -v $(XINITRCDIR) $(DESTDIR)$(ETCDIR)/xinitrc.d; else $(INSTALL_DIR) -v $(DESTDIR)$(ETCDIR)/xinitrc.d; fi; fi

install_man:

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver-xsession     $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-xsession

uninstall: uninstall_scripts uninstall_config uninstall_man uninstall_version

uninstall_scripts:
	for file in $(FEATURE_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/$$file; done

uninstall_config:
	for file in $(ETC_FILES); do $(RM_FILE) $(DESTDIR)$(ETCDIR)/$$file; done
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/Xresources
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/Xsession.options
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/Xsession.d
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/xinitrc.d
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/Xclients.d

uninstall_man:

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-xsession
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== x2goserver/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR ?= /etc/x2go
BINDIR ?= $(PREFIX)/bin
SBINDIR ?= $(PREFIX)/sbin
LIBDIR ?= $(PREFIX)/lib/x2go
NXLIBDIR ?= $(LIBDIR)/../nx
MANDIR ?= $(PREFIX)/share/man
SHAREDIR ?= $(PREFIX)/share/x2go

export DESTDIR PREFIX ETCDIR BINDIR SBINDIR LIBDIR NXLIBDIR MANDIR SHAREDIR

BIN_SCRIPTS=$(shell cd bin && echo *)
SBIN_SCRIPTS=$(shell cd sbin && echo *)
LIB_FILES=$(shell cd lib && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features)
POD_SCRIPTS=sbin/x2gocleansessions.8 bin/x2gooptionsstring.1

man_pages = `cd man && find * -type f`

MAN2HTML_BIN  = $(shell which man2html)
MAN2HTML_SRC  = man
MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-arch build-indep

build-arch:

build-indep: build_pod2man build_man2html
	for dir in 'bin' 'sbin' 'lib' 'share/x2gofeature.d'; do \
		for gen_file in "$${dir}/"*; do \
			file="$${gen_file%.in}"; \
			if [ "$${gen_file}" != "$${file}" ]; then \
				$$(: "Copy the file first, making sure we keep permissions."); \
				cp -a "$${gen_file}" "$${file}"; \
				\
				$$(: "Run actual substitutions."); \
				typeset -a sed_args; \
				sed_args=(); \
				for subst in 'PREFIX' 'ETCDIR' 'BINDIR' 'SBINDIR' 'LIBDIR' 'NXLIBDIR' 'MANDIR' 'SHAREDIR'; do \
					sed_args+=( '-e' "s#@@$${subst}@@#$${!subst}#g" ); \
				done; \
				sed "$${sed_args[@]}" "$${gen_file}" > "$${file}"; \
			fi; \
		done; \
	done

build_pod2man:
	for sectioned_script in $(POD_SCRIPTS); do \
		man_page="$$(basename "$${sectioned_script}")"; \
		section="$${man_page##*.}"; \
		script="$${sectioned_script%.*}"; \
		$(INSTALL_DIR) "man/man$${section}"; \
		case "$${suite}" in \
			('1') \
				suite='General Commands Manual'; \
				;; \
			('5') \
				suite='X2Go Server Configuration'; \
				;; \
			('8') \
				suite='X2Go Server Tool'; \
				;; \
			(*) \
				suite='Unknown - X2Go Server Bug!'; \
				;; \
		esac; \
		pod2man -s "$${section}" -c "$${suite}" -r "Version $$(cat 'VERSION.x2goserver')" "$${script}" > "man/man$${section}/$${man_page}"; \
	done

build_man2html:
	if [ -n "$(MAN2HTML_BIN)" ]; then \
	    mkdir -p $(MAN2HTML_DEST); \
	    for man_page in $(man_pages); do mkdir -p `dirname $(MAN2HTML_DEST)/$$man_page`; done; \
	    for man_page in $(man_pages); do $(MAN2HTML_BIN) $(MAN2HTML_SRC)/$$man_page > $(MAN2HTML_DEST)/$$man_page.html; done; \
	fi

clean: clean-arch clean-indep

clean-arch:

clean-indep: clean_man2html
	for dir in 'bin' 'sbin' 'lib' 'share/x2gofeature.d'; do \
		for gen_file in "$${dir}/"*; do \
			file="$${gen_file%.in}"; \
			if [ "$${gen_file}" != "$${file}" ]; then \
				$(RM_FILE) "$${file}"; \
			fi; \
		done; \
	done

clean_man2html:
	rm -Rf `dirname $(MAN2HTML_DEST)`

install: build install_scripts install_config install_man install_version

install_scripts:
	for dir in 'bin' 'sbin' 'lib' 'share/x2gofeature.d'; do \
		$$(: "Create (and save) destination directory."); \
		dest="$${DESTDIR}"; \
		case "$${dir}" in \
			('bin') dest="$${dest}$${BINDIR}/";; \
			('sbin') dest="$${dest}$${SBINDIR}/";; \
			('lib') dest="$${dest}$${LIBDIR}/";; \
			('share/x2gofeature.d') dest="$${dest}$${SHAREDIR}/x2gofeature.d/";; \
			(*) printf '%s\n' 'Unknown component in install_scripts scriptlet.' >&2; exit '1';; \
		esac; \
		$(INSTALL_DIR) "$${dest}"; \
		\
		$$(: "Iterate over files and ..."); \
		for gen_file in "$${dir}/"*; do \
			file="$${gen_file%.in}"; \
			$$(: "... filter out generation templates and anything not ending in '.features' for the feature directory."); \
			if [ "$${gen_file}" != "$${file}" ] || ( [ "$${dir}" = 'share/x2gofeature.d' ] && [ "$${file%.features}" = "$${file}" ] ); then \
				continue; \
			fi; \
			\
			$(INSTALL_PROGRAM) "$${file}" "$${dest}/"; \
		done; \
	done

install_config:
	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)
	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/x2go_logout.d
	$(INSTALL_FILE) etc/x2go_logout       $(DESTDIR)$(ETCDIR)/
	$(INSTALL_FILE) etc/x2go_logout.d/*   $(DESTDIR)$(ETCDIR)/x2go_logout.d/
	$(INSTALL_DIR) $(DESTDIR)/etc/sudoers.d || true
	$(INSTALL_FILE) etc/sudoers.d/x2goserver $(DESTDIR)/etc/sudoers.d/
	$(INSTALL_DIR) $(DESTDIR)/etc/logcheck/ignore.d.server || true
	$(INSTALL_FILE) etc/logcheck/ignore.d.server/x2goserver $(DESTDIR)/etc/logcheck/ignore.d.server/
	# keep this commented out, until x2goserver.spec knows how to
	# handle pkla/rules file installation for what RPM distro / version
	#$(INSTALL_DIR) $(DESTDIR)/etc/polkit-1/localauthority/10-vendor.d/ || true
	#$(INSTALL_FILE) etc/polkit-1/localauthority/10-vendor.d/x2goserver-no-colord.pkla $(DESTDIR)/etc/polkit-1/localauthority/10-vendor.d/
	#$(INSTALL_DIR) $(DESTDIR)/etc/polkit-1/rules.d/ || true
	#$(INSTALL_FILE) etc/polkit-1/rules.d/x2goserver-no-colord.rules $(DESTDIR)/etc/polkit-1/rules.d/

install_man:
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man1
	$(INSTALL_FILE) man/man1/*.1           $(DESTDIR)$(MANDIR)/man1
	gzip -f $(DESTDIR)$(MANDIR)/man1/x2go*.1
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man5
	$(INSTALL_FILE) man/man5/*.5           $(DESTDIR)$(MANDIR)/man5
	gzip -f $(DESTDIR)$(MANDIR)/man5/x2go*.5
	$(INSTALL_DIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL_FILE) man/man8/*.8           $(DESTDIR)$(MANDIR)/man8
	gzip -f $(DESTDIR)$(MANDIR)/man8/x2go*.8

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver     $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver

uninstall: uninstall_scripts uninstall_config uninstall_man uninstall_version

uninstall_scripts:
	for dir in 'bin' 'sbin' 'lib' 'share/x2gofeature.d'; do \
		$$(: "Create (and save) destination directory."); \
		dest="$${DESTDIR}"; \
		case "$${dir}" in \
			('bin') dest="$${dest}$${BINDIR}/";; \
			('sbin') dest="$${dest}$${SBINDIR}/";; \
			('lib') dest="$${dest}$${LIBDIR}/";; \
			('share/x2gofeature.d') dest="$${dest}$${SHAREDIR}/x2gofeature.d/";; \
			(*) printf '%s\n' 'Unknown component in uninstall_scripts scriptlet.'; exit '1';; \
		esac; \
		$(INSTALL_DIR) "$${dest}"; \
		\
		$$(: "Iterate over files and ..."); \
		for gen_file in "$${dir}/"*; do \
			$$(: "... map generation templates to generated files (so that uninstallation works correctly after cleaning as well)."); \
			file="$${gen_file%.in}"; \
			$(RM_FILE) "$${dest}/$${file}"; \
		done; \
	done
	$(RM_DIR) $(DESTDIR)$(LIBDIR) || true
	$(RM_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d || true
	$(RM_DIR) $(DESTDIR)$(SHAREDIR) || true

uninstall_config:
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/x2go_logout.d/*
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/x2go_logout
	$(RM_DIR)  $(DESTDIR)$(ETCDIR)/x2go_logout.d || true
	$(RM_DIR)  $(DESTDIR)$(ETCDIR) || true
	$(RM_FILE) $(DESTDIR)/etc/sudoers.d/x2goserver
	$(RM_DIR)  $(DESTDIR)/etc/sudoers.d || true
	$(RM_FILE) $(DESTDIR)/etc/logcheck/ignore.d.server/x2goserver
	$(RM_DIR)  $(DESTDIR)/etc/logcheck/ignore.d.server || true
	$(RM_DIR)  $(DESTDIR)/etc/logcheck || true

uninstall_man:
	for file in $(BIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	for file in $(SBIN_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(MANDIR)/man8/$$file.8.gz; done
	$(RM_DIR)  $(DESTDIR)$(MANDIR) || true

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== debian/changelog ===
x2goserver (4.1.0.6-1.1build2) plucky; urgency=medium

  * No-change rebuild for upperlimit-perl.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2025 18:52:57 +0100

x2goserver (4.1.0.6-1.1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:52:21 +0200

x2goserver (4.1.0.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #1052508)

 -- Paul Gevers <elbrus@debian.org>  Sat, 23 Sep 2023 16:10:47 +0200

x2goserver (4.1.0.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/:
    + Add bin:pkg x2goserver-x2gokdrive.
  * debian/x2goserver.install:
    + Update for x2goserver 4.1.0.6.
  * debian/patches:
    + Update 1001_fix-desktopsharing-version.patch. Upstream version still
      wrong.
    + Drop patches 0001 - 0010. All applied upstream.
    + Drop 1002_cross.patch. Applied upstream.
    + Trivially rebase 1003_support-startkde-from-old-x2goclients.patch.
    + Add 1004_fix-manpage-generation-in-Makefile.patch. Fix re-generation
      of x2gocleansessions.8 and x2gooptionsstring.1 man pages during build.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/rules:
    + Properly clean-up Makefile.perl.old during d/rules's clean target.
      (Closes: #1048545).
  * debian/{man/x2gocleansessions.8,x2goserver.manpages}:
    + Stop shipping maintainer man page for x2gocleansessions.8.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 27 Aug 2023 14:33:25 +0200

x2goserver (4.1.0.3-9) unstable; urgency=medium

  * debian/patches:
    + Add 1003_support-startkde-from-old-x2goclients.patch. Translate startkde
      command coming from old X2Go Clients to startplasma-x11.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Aug 2023 11:19:33 +0200

x2goserver (4.1.0.3-8) unstable; urgency=medium

  * debian/patches:
    + Cherry-pick upstream fixes between 4.1.0.3 and 4.1.0.6, i.e. add patches
      0004 - 0010. (Closes: #1050213).
    + Add Forwarded: fields to pathces 1001 and 1002. Both accepted upstream.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
    + Bump DH compat level to version 13.
    + Drop D (x2goserver): lsb-base. Obsoleted in Debian.
  * debian/po/fi.po:
    + Convert from iso8859 encoding to utf8. Thanks, lintian.
  * debian/watch:
    + Bump watch file format to version 4.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Aug 2023 08:15:33 +0200

x2goserver (4.1.0.3-7) unstable; urgency=medium

  * debian/x2goserver-*.postrm:
    + Ignore failures from deluser/delgroup. (Closes: #1034758).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 08 May 2023 16:25:39 +0200

x2goserver (4.1.0.3-6) unstable; urgency=medium

  * debian/po:
    + Add pt_BR.po. Thanks to Adriano Rafael Gomes. (Closes: #972453).
    + Add es.po. Thanks to Camaleón. (Closes: #987341).
    + Add tr.po. Thanks to Atila KOÇ. (Closes: #1032883).
  * debian/patches:
    + Add 0002-x2goserver-xsession-Port-OPTIONS-variable-and-has_op.patch. Make
      X2Go Server's Xsession startup process compatible with recent Xsession
      scripts. (Closes: #1033533).
  * debian/x2goserver-xsession.lintian-overrides:
    + Drop file. Only override 'package-contains-broken-symlink' not known
      anymore today and also nothing like it gets triggered in lintian.
  * debian/copyright:
    + Amend various inconsistencies. Thanks, lintian. Update copyright
      attribution for debian/ folder.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 Mar 2023 23:19:51 +0200

=== debian/control ===
Source: x2goserver
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Mihai Moldovan <ionic@ionic.de>,
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.16.1.1),
 man2html-base,
# Needed for /etc/X11/Xsession.d
 x11-common,
Standards-Version: 4.6.2
Rules-Requires-Root: binary-targets
Homepage: http://wiki.x2go.org
Vcs-Git: https://salsa.debian.org/debian-remote-team/x2goserver.git
Vcs-Browser: https://salsa.debian.org/debian-remote-team/x2goserver/

Package: x2goserver
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 bc,
 libfile-basedir-perl,
 libfile-which-perl,
 libswitch-perl,
 libtry-tiny-perl,
 libx2go-server-perl (<< ${source:Version}.1~),
 libx2go-server-perl (>= ${source:Version}),
 lsof,
 net-tools,
 openssh-client,
 openssh-server,
 perl,
 psmisc,
 pwgen,
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 x2goserver-x2goagent (<< ${source:Version}.1~),
 x2goserver-x2goagent (>= ${source:Version}),
 xauth,
 xkb-data,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fontconfig,
 sshfs,
 x11-apps,
 x11-session-utils,
 x11-utils,
 x11-xfs-utils,
 x11-xkb-utils,
 x11-xserver-utils,
 x2goserver-extensions (<< ${source:Version}.1~),
 x2goserver-extensions (>= ${source:Version}),
 x2goserver-fmbindings (<< ${source:Version}.1~),
 x2goserver-fmbindings (>= ${source:Version}),
 x2goserver-printing (<< ${source:Version}.1~),
 x2goserver-printing (>= ${source:Version}),
 x2goserver-xsession (<< ${source:Version}.1~),
 x2goserver-xsession (>= ${source:Version}),
 xfonts-base,
 xinit,
Suggests:
 pulseaudio-utils,
 rdesktop,
Breaks:
 x2godesktopsharing (<< 3.1.1.2-0~),
 x2goserver-compat (<< 4.0.1.99~),
 x2goserver-home,
 x2goserver-one,
 x2goserver-pyhoca (<< 4.0.1.99~),
Replaces:
 x2goserver-compat,
 x2goserver-home,
 x2goserver-one,
 x2goserver-pyhoca,
Description: X2Go Server
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 This package contains the main daemon and tools for X2Go server-side
 session administrations.

Package: libx2go-config-perl
Architecture: all
Section: perl
Depends:
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
Breaks: libx2go-server-perl (<< 4.1.0.0-4~),
Replaces: libx2go-server-perl (<< 4.1.0.0-4~),
Description: Perl X2Go::Config package
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 This package contains the X2Go::Config Perl package.

Package: libx2go-log-perl
Architecture: all
Section: perl
Depends:
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 libx2go-config-perl (<< ${source:Version}.1~),
 libx2go-config-perl (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
Description: Perl X2Go::Log package
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 This package contains the X2Go::Log Perl package.

Package: libx2go-utils-perl
Architecture: all
Section: perl
Depends:
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
Breaks: libx2go-server-perl (<< 4.1.0.0-4~),
Replaces: libx2go-server-perl (<< 4.1.0.0-4~),
Description: Perl X2Go::Utils package
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 This package contains the X2Go::Utils Perl package.

Package: libx2go-server-db-perl
Architecture: any
Section: perl
Depends:
 libconfig-simple-perl,
 libdbd-pg-perl [!armhf],
 libdbd-sqlite3-perl,
# libdbd-mysql-perl,
 libx2go-config-perl (<< ${source:Version}.1~),
 libx2go-config-perl (>= ${source:Version}),
 libx2go-log-perl (<< ${source:Version}.1~),
 libx2go-log-perl (>= ${source:Version}),
 libx2go-utils-perl (<< ${source:Version}.1~),
 libx2go-utils-perl (>= ${source:Version}),
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Breaks:
 x2goserver (<< 4.1.0.0-0~),
Replaces:
 x2goserver (<< 4.1.0.0-0~),
Description: Perl X2Go::Server:DB package
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 This package contains the X2Go::Server::DB Perl package.

Package: libx2go-server-perl
Architecture: all
Section: perl
Depends:
 libcapture-tiny-perl,
 libconfig-simple-perl,
 libx2go-log-perl (<< ${source:Version}.1~),
 libx2go-log-perl (>= ${source:Version}),
 libx2go-server-db-perl (<< ${source:Version}.1~),
 libx2go-server-db-perl (>= ${source:Version}),
 libx2go-utils-perl (<< ${source:Version}.1~),
 libx2go-utils-perl (>= ${source:Version}),
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
Description: Perl X2Go::Server package
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 This package contains the X2Go::Server Perl package.

Package: x2goserver-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Breaks:
 x2goserver (<< 4.1.0.0-0~),
Replaces:
 x2goserver (<< 4.1.0.0-0~),
Description: X2Go Server (common files)
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 This package contains common files needed by the X2Go Server
 and the X2Go::Server Perl API.

Package: x2goserver-extensions
Architecture: all
Depends:
 x11-xkb-utils,
 x2goserver (<< ${source:Version}.1~),
 x2goserver (>= ${source:Version}),
 ${misc:Depends},
Description: X2Go Server (extension support)
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 The X2Go Server extension namespace offers contributors to add script
 functionality to X2Go that is not needed/ignored by the legacy X2Go
 client (x2goclient).

Package: x2goserver-fmbindings
Architecture: all
Depends:
 desktop-file-utils,
 x2goserver (<< ${source:Version}.1~),
 x2goserver (>= ${source:Version}),
 xdg-utils,
 ${misc:Depends},
Description: X2Go Server (file manager bindings)
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 x2goserver-fmbindings contains generic MIME type information for X2Go's
 local folder sharing. It can be used with all freedesktop.org compliant
 desktop shells.
 .
 However, this package will be superseded by other, more specific destkop
 binding components, if installed and being used with the corresponding
 desktop shell:
 .
   - under LXDE by x2golxdebindings
   - under GNOMEv2 by x2gognomebindings
   - under MATE by x2gomatebindings
   - under KDE4/5 by plasma-widget-x2go

Package: x2goserver-printing
Architecture: all
Depends:
 adduser,
 x2goserver (<< ${source:Version}.1~),
 x2goserver (>= ${source:Version}),
 ${misc:Depends},
Breaks:
 x2goprint,
Replaces:
 x2goprint,
Suggests:
 cups-x2go,
Description: X2Go Server (printing support)
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 The X2Go Server printing package provides client-side printing support
 for X2Go.
 .
 This package has to be installed on X2Go Servers that shall be able to
 pass X2Go print jobs on to the X2Go client.
 .
 This package co-operates with the cups-x2go CUPS backend. If CUPS server
 and X2Go Server are hosted on different machines, then make sure you
 install this package on the X2Go Server/s (and the cups-x2go package on
 the CUPS server).

Package: x2goserver-x2goagent
Architecture: any
Depends:
 nxagent (>= 2:3.5.99.17~),
 ${misc:Depends},
Suggests:
 x2goserver,
Breaks:
 x2goagent (<< 2:3.5.99.2~),
 x2goserver (<< 4.0.1.99~),
Replaces:
 x2goagent (<< 2:3.5.99.2~),
 x2goserver (<< 4.0.1.99~),
Description: X2Go Server's X2Go Agent
 X2Go is a software suite that uses NX and/or KDrive technology for
 remote desktop computing.
 .
 NX technology implements a very efficient compression of the X11
 protocol. This increases performance when using X applications over a
 network, especially a slow one.
 .
 X2Go Agent functionality has been completely incorporated into NX
 agent's code base. If the nxagent binary is executed under the name of
 `x2goagent', the X2Go functionalities get activated.
 .
 This package is a wrapper that activates X2Go branding in nxagent.
 Please refer to the nxagent package's description for more information
 on NX.

Package: x2goserver-x2gokdrive
Architecture: any
Depends:
 xserver-x2gokdrive,
 ${misc:Depends},
Suggests:
 x2goserver,
Description: X2Go Server's X2Go KDrive Xserver
 X2Go is a software suite that uses NX and/or KDrive technology for
 remote desktop computing.
 .
 X2Go KDrive technology implements a remote X11 Xserver backend for
 modern desktop environments, namely desktops derived from the GNOME
 desktop shell.
 .
 X2Go KDrive does not require an XServer on the client side, only the
 X11-independent x2gokdriveclient. Desktop session data transfers from
 server to client use differential image compression and image data gets
 cached client-side.

Package: x2goserver-xsession
Architecture: all
Depends:
 dbus,
 perl:any,
 x11-common,
 x2goserver (<< ${source:Version}.1~),
 x2goserver (>= ${source:Version}),
 ${misc:Depends},
Description: X2Go Server (Xsession runner)
 X2Go is a server based computing environment with
   - session resuming
   - low bandwidth support
   - session brokerage support
   - client-side mass storage mounting support
   - client-side printing support
   - audio support
   - authentication by smartcard and USB stick
 .
 This X2Go Server add-on enables Xsession script handling when starting
 desktop sessions with X2Go.
 .
 Amongst others the parsing of Xsession scripts will enable
 desktop-profiles, ssh-agent startups, gpgagent startups and many more
 Xsession related features on X2Go session login automagically.

Package: x2goserver-desktopsharing
Architecture: all
Depends:

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://code.x2go.org/releases/source/x2goserver/x2goserver-(\d+\.\d+\.\d+\.\d+)\.tar\.gz
